﻿$ErrorActionPreference = 'Stop';

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/veeso/termscp/releases/download/v0.4.1/termscp-0.4.1-msvc.zip'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'EXE'
  url           = $url
  unzipLocation = $toolsDir

  softwareName  = 'termscp*'

  # deps: choco install checksum
  # checksum -t sha256 -f termscp.zip
  checksum      = '67435B497E42C5247E7D0818C6518026A990FE74895A1660B731CEB451E88DF6'
  checksumType  = 'sha256'

  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyZipPackage  @packageArgs # https://chocolatey.org/docs/helpers-install-chocolatey-package
